{
  imports = [
    ../modules/hardware/vm.nix
    ../modules/gitea.nix
    ../modules/tailscale.nix
    ../modules/users/yvan.nix
  ];

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/fe1d2e0d-9210-4a2d-b584-d1e131747ea3";
    fsType = "ext4";
  };

  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/8782-7801";
    fsType = "vfat";
  };

  swapDevices =
    [{ device = "/dev/disk/by-uuid/c9511ddb-e41f-436c-ad1f-9b587ed0ba11"; }];

  networking.hostName = "vieuxtype";
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  # simd.arch = "znver3";
  system.stateVersion = "23.05";
}
