{ pkgs, ... }: {
  programs.zsh.enable = true;
  programs.zsh.enableCompletion = true;
  programs.zsh.enableGlobalCompInit = false;
  programs.zsh.interactiveShellInit = ''
    source ${pkgs.zsh-nix-shell}/share/zsh-nix-shell/nix-shell.plugin.zsh
  '';

  programs.zsh = {
    autosuggestions.enable = true;
    promptInit = ''
      source ${pkgs.grml-zsh-config}/etc/zsh/zshrc
    '';
  };

  users.defaultUserShell = pkgs.zsh;
}
